%global	modname	fpylll

Name:		python-%{modname}
Version:	0.4.1dev
Release:	7%{?dist}
Summary:	A Python wrapper for fplll
License:	GPLv2+
URL:		https://github.com/fplll/%{modname}
Source0:	https://github.com/fplll/%{modname}/releases/download/%{version}/%{modname}-%{version}.tar.gz
# Do not use time.clock(), removed in python 3.8
# https://github.com/fplll/fpylll/pull/140
Patch0:		%{name}-time-clock.patch
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	gmp-devel
BuildRequires:	libfplll-devel
BuildRequires:	mpfr-devel
BuildRequires:	pari-devel
BuildRequires:	qd-devel

%description
A Python wrapper for fplll.

%package	-n python3-%{modname}
Summary:	A Python 3 wrapper for fplll
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:	python3-devel
BuildRequires:	python3-Cython
BuildRequires:	python3-cysignals-devel
BuildRequires:	python3-flake8
BuildRequires:	python3-numpy
BuildRequires:	python3-pytest

Requires:	python3-cysignals
Requires:	python3-numpy

%description	-n python3-%{modname}
A Python 3 wrapper for fplll.

%prep
%autosetup -p0 -n %{modname}-%{version}

# Tell Cython to generate python 3 code
sed -i "s/compiler_directives={/&'language_level': 3, /" setup.py

# Remove pregenerated python files
find . -name \*.pyc -delete

%build
%py3_build

%install
%py3_install
mkdir -p %{buildroot}%{_docdir}/%{name}

%check
pushd tests
    # Note that some tests may fail if sagemath installed and not run
    # under "sage -sh" (to have environment variables defined)
    PYTHONPATH=%{buildroot}%{python3_sitearch} pytest-3
popd

%files -n python3-%{modname}
%license LICENSE
%doc PKG-INFO README.rst
%{python3_sitearch}/%{modname}
%{python3_sitearch}/%{modname}-*.egg-info

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1dev-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 28 2019 Jerry James <loganjerry@gmail.com> - 0.4.1dev-6
- Add -time-clock patch to fix FTBFS with python 3.8 (bz 1718334)
- Pass language_level: 3 to cython

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1dev-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jan 04 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4.1dev-4
- Subpackage python2-fpylll has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1dev-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.1dev-2
- Rebuilt for Python 3.7

* Sat Jun  2 2018 Jerry James <loganjerry@gmail.com> - 0.4.1dev-1
- Update to 0.4.1dev for libfplll 5.2.1
- BR python-flake8
- R python-cysignals and numpy

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4dev-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Sep 28 2017 Jerry James <loganjerry@gmail.com> - 0.2.4dev-1
- Update to 0.2.4dev for libfplll 5.1.0

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3dev-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3dev-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Apr 27 2017 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.2.3dev-2
- Add missing changelog
- Add missing URL
- Add python provides to python3 subpackage
- Correct mixed tabs and spaces in the spec
- Implement %%check using pytest
- Add numpy Build Requires
- Add LICENSE as extra source

* Thu Apr 27 2017 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.2.3dev-1
- Initial python-fpylll spec
